<mat-grid-list cols="1" rowHeight="fit">
    <mat-grid-tile>
        <div class="form-login">
            <div class="example-container">
                <img class="logo" src="../../../assets/images/camt-logo.jpg" />
                <h3 class="header-text">LOGIN</h3>
                <mat-form-field color="warn">
                    <input matInput placeholder="Email" [formControl]="email" [(ngModel)]="Email">
                    <mat-error *ngIf="email.invalid">{{getErrorMessage()}}</mat-error>
                </mat-form-field>
                <mat-form-field color="warn">
                    <input matInput placeholder="Password" [(ngModel)]="password" [type]="hide ? 'password' : 'password'">
                    <button mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'" [attr.aria-pressed]="hide">
                  <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
                  </button>
                </mat-form-field>
                <mat-form-field color="warn">
                    <mat-select placeholder="Your Role" [(ngModel)]="role">
                        <mat-option value="teacher">Teacher</mat-option>
                        <mat-option value="student">Student</mat-option>
                        <mat-option value="admin">Admin</mat-option>
                    </mat-select>
                </mat-form-field>
                <button class="login-button" mat-flat-button color="warn" (click)="login()">Login</button>
                <div class="signup-text"><a [routerLink]="['/register']" routerLinkActive="router-link-active">Don't have an account yet?</a></div>
            </div>
        </div>
    </mat-grid-tile>
</mat-grid-list>